function  WirelessDisplayAction(obj)
{
checkWirelessOperationMode();
checkWirelessMode();
checkWPS();
}
function checkWPS(){
if(!swm_WPS_Setup) document.getElementById("tr_wps").style.display = 'none';
}
function checkWirelessOperationMode()//check items of Wireless Operation Mode
{
if(!swm_WirelessOperationMode)
{
document.getElementById("wifi_opmode").style.display = 'none';
}
else
{
objSelect=document.getElementById("WOpMode")//selection
if(!swm_WirelessOperationMode_APRouterMode)
{
for (var i = 0; i < objSelect.options.length; i++)
{
if (objSelect.options[i].value =="0")//AP Router Mode
{
objSelect.options.remove(i);
break;
}
}
}
if(!swm_WirelessOperationMode_APonlyMode)
{
for (var i = 0; i < objSelect.options.length; i++)
{
if (objSelect.options[i].value =="1")//AP only Mode
{
objSelect.options.remove(i);
break;
}
}
}
if(!swm_WirelessOperationMode_WDSHybridMode)
{
for (var i = 0; i < objSelect.options.length; i++)
{
if (objSelect.options[i].value =="2")//WDS Hybrid Mode
{
objSelect.options.remove(i);
break;
}
}
}
if(!swm_WirelessOperationMode_WDSonlyMode)
{
for (var i = 0; i < objSelect.options.length; i++)
{
if (objSelect.options[i].value =="3")//WDS only Mode
{
objSelect.options.remove(i);
break;
}
}
}
if(!swm_WirelessOperationMode_UniversalRepeater)
{
for (var i = 0; i < objSelect.options.length; i++)
{
if (objSelect.options[i].value =="5")//Universal Repeater
{
objSelect.options.remove(i);
break;
}
}
}
}
}
function checkWirelessMode()//check items of Wireless Mode
{
if(!swm_WirelessMode)
{
document.getElementById("div_WIRELESSMODE").style.display = 'none';
}
else
{
objSelect=document.getElementById("id_wmode")//selection
if (!swm_WirelessMode_Bonly)// B only
{
for (var i = 0; i < objSelect.options.length; i++)
{
if (objSelect.options[i].value =="1")// B only
{
objSelect.options.remove(i);
break;
}
}
}
if (!swm_WirelessMode_Gonly)// G only
{
for (var i = 0; i < objSelect.options.length; i++)
{
if (objSelect.options[i].value =="4")// G only
{
objSelect.options.remove(i);
break;
}
}
}
if (!swm_WirelessMode_Nonly)// N only
{
for (var i = 0; i < objSelect.options.length; i++)
{
if (objSelect.options[i].value =="6")// N only
{
objSelect.options.remove(i);
break;
}
}
}
if (!swm_WirelessMode_GNmixed)// G/N mixed
{
for (var i = 0; i < objSelect.options.length; i++)
{
if (objSelect.options[i].value =="7")// G/N mixed
{
objSelect.options.remove(i);
break;
}
}
}
if (!swm_WirelessMode_BGNmixed)// B/G/N mixed
{
for (var i = 0; i < objSelect.options.length; i++)
{
if (objSelect.options[i].value =="9")// B/G/N mixed
{
objSelect.options.remove(i);
break;
}
}
}
if (!swm_WirelessMode_BGmixed)// B/G mixed
{
for (var i = 0; i < objSelect.options.length; i++)
{
if (objSelect.options[i].value =="0")// B/G mixed
{
objSelect.options.remove(i);
break;
}
}
}
}
}